EMDK for .NET 2013 or 2010??

Hi,

 

In my company, we're currently using EMDK for .NET v2.8. The recently released (Oct 2014) EMDK for .NET v2.9 (accorcing to Release Notes - EMDK for .NET v2.9) still requires the same Visual Studio 2008.

 

Are there any plans to release a new version based on .NET 2013 or at least 2010, and not the 6 years old Visual Studio 2008 (almost 7 years old very soon)?

 

I'm happy using my old Visual Studio 2008, but everyday is harder to find those old .NET versions, and they have less and less support everyday.

 

Thanks

Bruce Crawford
Guillermo, the problem is

Guillermo, the problem is that Visual Studio 2010 does not support Windows Mobile 6.5 or CE.  For these OSes you have to use VS 2008.

Vote: 
Vote up!
Vote down!

Points: 0

You voted ‘up’


Guillermo De la Cruz
Ok, thanks for the

Ok, thanks for the information. For fixed readers (e.g. FX9500) it would be different, but then you'd have to develop 2 different solutions, one for each type of reader.

Vote: 
Vote up!
Vote down!

Points: 0

You voted ‘up’


Bruce Crawford
Yes Guillermo, fixed readers

Yes Guillermo, fixed readers and mobile readers are very different.  The fixed readers utilize Linux, also their use cases and therefore the programming methodologies are different.

Vote: 
Vote up!
Vote down!

Points: 0

You voted ‘up’


Dale Hollon
I've just downloaded the

I've just downloaded the latest .Net EMDK and it still requires Visual Studio 2008. I understand that the FX7500 operating system is now Linux. Why are we still forced to used VS 2008? Should we be using the Java EMDK because the .Net EMDK is going away?

Thanks,

Dale

Vote: 
Vote up!
Vote down!

Points: 0

You voted ‘up’


Loren Sederburg
One work around to try is to

One work around to try is to install the EMDK on a system with VS2005/VS2008 and then use the api dlls as part of new projects under newer versions of Visual Studio.  The installer for the EMDK requires the older version of Visual Studio.  The installed dlls are .NET compatible.

Vote: 
Vote up!
Vote down!

Points: 1

You voted ‘up’


Anonymous (not verified)
Hi Dale, The full set of SDK

Hi Dale, The full set of SDK's you want are here: FX7500 Fixed RFID Reader Support & Downloads | Zebra including the Linux SDK. The .NET SDK in the downloads is only for if you are connecting the reader to a Windows CE device, not a PC.  The same issues for CE still apply to the VS version.  For PC, please use the Linux or Java based SDK's.

Vote: 
Vote up!
Vote down!

Points: 0

You voted ‘up’


Log in to post comments